/* //// //// //// COVER IMAGES //// //// //// */
deck-section {
  a img {
    display: none;
  }

  #soc {
    background-image: url(/SRC/media/img/socrates-middle-finger.png);
  }

  #NG {
    background-image: url(/SRC/media/img/cover-ng.bmp);
    background-size: contain;
    background-position: top;
  }
}

/* //// //// //// OTHER //// //// //// */

search {
  position: relative;
  width: 90%;
  margin: 15px auto;
}

input[type="search"] {
  width: 100%;
  padding: 5px;
  padding-left: 40px;
  border: 1px solid light-dark(hsla(0, 0%, 0%, 0.4), hsla(0, 0%, 100%, 0.2));
  border-radius: var(--br-s);
  font-family: var(--ff-mono);
  font-size: 1.1rem;
  line-height: 1;

  background-image: url("data:image/svg+xml;utf8,\<svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24' fill='none' stroke='%23808080' stroke-width='2' stroke-linecap='round' stroke-linejoin='round'>\<circle cx='11' cy='11' r='8'/>\<line x1='21' y1='21' x2='16.65' y2='16.65'/>\</svg>");
  background-repeat: no-repeat;
  background-position: 12px center;
  background-size: 16px 16px;

  color: light-dark(SlateBlue, hsla(120, 100%, 50%, 0.6));
  background-color: light-dark(var(--c-g-35), var(--c-g-20));

  &::placeholder {
    color: light-dark(var(--c-g-55), var(--c-g-40));
  }

  &:focus {
    border-radius: var(--br-s);
    outline: none;
    background-color: light-dark(var(--c-g-25), var(--c-g-25));
  }

  &:focus::placeholder {
    color: light-dark(var(--c-g-60), var(--c-g-50));
  }
}

input[type="search"]:placeholder-shown ~ [type="reset"] {
  display: none;
}

input[type="search"]:not(:placeholder-shown) ~ [type="reset"] {
  display: inline;
}

[type="reset"] {
  width: 0;
  min-width: 20px;
  box-shadow: none;
  margin: 0;
  position: absolute;
  right: 0.5em;
  top: 50%;
  transform: translateY(-50%);
  border: none;
  background: transparent;
  cursor: pointer;
  font-size: 1.2em;
  display: block;
  padding: 0;
  color: orangered;
  font-family: var(--ff-mono);

  &:hover {
    color: red;
  }
}

deck-section {
  padding: 1rem 2rem 2rem 2rem;
  gap: 1.5rem;
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(250px, 1fr));
}

@media (max-width: 1000px) {
  deck-section {
    grid-template-columns: repeat(auto-fill, minmax(200px, 1fr));
  }
}

deck-section a {
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
  align-items: center;
  aspect-ratio: 3 / 4;
  position: relative;
  height: 100%;
  overflow: hidden;
  text-decoration: none;
  border: var(--glass-border);
  border-radius: var(--br-s);
  transition:
    transform 0.15s ease-out,
    box-shadow 0.15s ease;
  will-change: transform, box-shadow;
  color: light-dark(hsla(0, 0%, 0%, 0.7), var(--off-white)) !important;
  box-shadow: var(--glass-shadow-b);
  background-image: var(--grad-card);
  backdrop-filter: blur(3px);

  filter: brightness(0.9);
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  background-clip: content-box;
  position: relative;
  z-index: 1;

  &:hover,
  &:focus-visible {
    border-radius: var(--br-s);
    filter: brightness(1.1);
    transform: scale(1.04);
    z-index: 1;
    color: light-dark(hsla(0, 0%, 0%, 0.8), var(--off-white)) !important;
  }

  &:active {
    transform: scale(0.97);
  }
}

title-span {
  display: flex;
  justify-content: center;
  align-items: center;
  width: calc(100% - 20px);
  min-height: 15%;
  max-height: 24%;
  margin-bottom: 10px;
  padding: 10px;
  user-select: none;

  border-radius: 5px;

  text-align: center;
  text-transform: uppercase;
  font-weight: bold;
  font-size: clamp(1rem, 6vw, 1.2rem);
  font-family: Arial, Helvetica, sans-serif;

  background-color: light-dark(hsla(210, 80%, 70%, 0.7), hsla(0, 0%, 0%, 0.7));

  &:empty {
    background-color: transparent;
    backdrop-filter: unset;
    -webkit-backdrop-filter: unset;
  }
}

deck-section a.dark {
  background-color: black;
  box-shadow: 0px 15px 19px 2px rgba(0, 0, 0, 0.5);

  title-span {
    background-color: transparent;
    color: white;
  }
}

html#light .dark {
  box-shadow: 3px 5px 8px 0px rgba(0, 0, 0, 0.5);
}

deck-section a dev-notice {
  position: absolute;
  width: 200%;
  min-height: 35px;
  box-shadow: 5px 5px 8px black;
}

deck-section a dev-notice:first-of-type {
  top: 30%;
}
deck-section a dev-notice:nth-of-type(2) {
  top: 30%;
}

html#light deck-section a dev-notice {
  box-shadow: 5px 5px 8px rgba(0, 0, 0, 0.6);
}

html#dark body main {
  background-color: black;
  background-image: url(/SRC/media/img/grunge.png);
  background-size: cover;
  background-blend-mode: lighten;
  box-shadow:
    inset 0 0 60px rgba(0, 0, 0, 0.8),
    inset 0 0 65px rgba(0, 0, 0, 0.6),
    inset 0 0 105px rgba(0, 0, 0, 0.4);
}

html#light body main {
  background-image: url(/SRC/media/img/water.png);
  background-size: cover;
  background-blend-mode: hard-light;
  box-shadow:
    inset 0 0 20px rgba(255, 255, 255, 0.8),
    inset 0 0 30px rgba(255, 255, 255, 0.6),
    inset 0 0 50px rgba(255, 255, 255, 0.4),
    3px 5px 8px 0px hsla(from var(--c-blue, black) h s l / 0.5);

}
